#include <iostream>
using namespace std;

int main()
{
    int a,b,x,y;
    cin>>a>>b;
    cin>>x>>y;
    if(a==x && b!=y)
        cout<<"drugi"<<endl;
    if(b==y && a!=x)
        cout<<"prvi"<<endl;
    if(b==y && a==x)
        cout<<"nijedan"<<endl;
    if(b!=y && a!=x)
        cout<<"?"<<endl;
    return 0;
}